<!-- API Report Version: 2.3 -->

## API Report File for "@atlaskit/ds-explorations"

> Do not edit this file. This report is auto-generated using [API Extractor](https://api-extractor.com/).
> [Learn more about API reports](https://hello.atlassian.net/wiki/spaces/UR/pages/1825484529/Package+API+Reports)

### Table of contents

- [Main Entry Types](#main-entry-types)
- [Peer Dependencies](#peer-dependencies)

### Main Entry Types

<!--SECTION START: Main Entry Types-->

```ts
import type { CSSProperties } from 'react';
import { FC } from 'react';
import { jsx } from '@emotion/react';
import { ReactNode } from 'react';
import { SerializedStyles } from '@emotion/react';

// @public (undocumented)
const asAllowlist: readonly ['span', 'div', 'p', 'strong'];

// @public (undocumented)
type AsElement = (typeof asAllowlist)[number];

// @public (undocumented)
const backgroundHoverColorMap: {
  'accent.lime.subtlest': SerializedStyles;
  'accent.lime.subtler': SerializedStyles;
  'accent.lime.subtle': SerializedStyles;
  'accent.lime.bolder': SerializedStyles;
  'accent.red.subtlest': SerializedStyles;
  'accent.red.subtler': SerializedStyles;
  'accent.red.subtle': SerializedStyles;
  'accent.red.bolder': SerializedStyles;
  'accent.orange.subtlest': SerializedStyles;
  'accent.orange.subtler': SerializedStyles;
  'accent.orange.subtle': SerializedStyles;
  'accent.orange.bolder': SerializedStyles;
  'accent.yellow.subtlest': SerializedStyles;
  'accent.yellow.subtler': SerializedStyles;
  'accent.yellow.subtle': SerializedStyles;
  'accent.yellow.bolder': SerializedStyles;
  'accent.green.subtlest': SerializedStyles;
  'accent.green.subtler': SerializedStyles;
  'accent.green.subtle': SerializedStyles;
  'accent.green.bolder': SerializedStyles;
  'accent.teal.subtlest': SerializedStyles;
  'accent.teal.subtler': SerializedStyles;
  'accent.teal.subtle': SerializedStyles;
  'accent.teal.bolder': SerializedStyles;
  'accent.blue.subtlest': SerializedStyles;
  'accent.blue.subtler': SerializedStyles;
  'accent.blue.subtle': SerializedStyles;
  'accent.blue.bolder': SerializedStyles;
  'accent.purple.subtlest': SerializedStyles;
  'accent.purple.subtler': SerializedStyles;
  'accent.purple.subtle': SerializedStyles;
  'accent.purple.bolder': SerializedStyles;
  'accent.magenta.subtlest': SerializedStyles;
  'accent.magenta.subtler': SerializedStyles;
  'accent.magenta.subtle': SerializedStyles;
  'accent.magenta.bolder': SerializedStyles;
  'accent.gray.subtlest': SerializedStyles;
  'accent.gray.subtler': SerializedStyles;
  'accent.gray.subtle': SerializedStyles;
  'accent.gray.bolder': SerializedStyles;
  input: SerializedStyles;
  'inverse.subtle': SerializedStyles;
  neutral: SerializedStyles;
  'neutral.subtle': SerializedStyles;
  'neutral.bold': SerializedStyles;
  selected: SerializedStyles;
  'selected.bold': SerializedStyles;
  'brand.subtlest': SerializedStyles;
  'brand.bold': SerializedStyles;
  'brand.boldest': SerializedStyles;
  danger: SerializedStyles;
  'danger.bold': SerializedStyles;
  warning: SerializedStyles;
  'warning.bold': SerializedStyles;
  success: SerializedStyles;
  'success.bold': SerializedStyles;
  discovery: SerializedStyles;
  'discovery.bold': SerializedStyles;
  information: SerializedStyles;
  'information.bold': SerializedStyles;
  'elevation.surface': SerializedStyles;
  'elevation.surface.overlay': SerializedStyles;
  'elevation.surface.raised': SerializedStyles;
};

// @public (undocumented)
interface BasePrimitiveProps {
  testId?: string;
  UNSAFE_style?: CSSProperties;
}

// @public (undocumented)
type FontSize = keyof typeof fontSizeMap;

// @public
const fontSizeMap: {
  'size.050': SerializedStyles;
  'size.075': SerializedStyles;
  'size.100': SerializedStyles;
  'size.200': SerializedStyles;
  'size.300': SerializedStyles;
  'size.400': SerializedStyles;
  'size.500': SerializedStyles;
  'size.600': SerializedStyles;
};

// @public (undocumented)
type FontWeight = keyof typeof fontWeightMap;

// @public (undocumented)
const fontWeightMap: {
  bold: SerializedStyles;
  medium: SerializedStyles;
  regular: SerializedStyles;
  semibold: SerializedStyles;
};

// @public (undocumented)
type InteractionBackgroundColor = keyof typeof backgroundHoverColorMap;

// @public (undocumented)
interface InteractionSurfaceProps extends BasePrimitiveProps {
  // (undocumented)
  appearance?: InteractionBackgroundColor;
  // (undocumented)
  children: ReactNode;
}

// @public (undocumented)
type LineHeight = keyof typeof lineHeightMap;

// @public (undocumented)
const lineHeightMap: {
  'lineHeight.1': SerializedStyles;
  'lineHeight.100': SerializedStyles;
  'lineHeight.200': SerializedStyles;
  'lineHeight.300': SerializedStyles;
  'lineHeight.400': SerializedStyles;
  'lineHeight.500': SerializedStyles;
  'lineHeight.600': SerializedStyles;
};

// @public (undocumented)
type TextAlign = keyof typeof textAlignMap;

// @public (undocumented)
const textAlignMap: {
  center: SerializedStyles;
  end: SerializedStyles;
  start: SerializedStyles;
};

// @public (undocumented)
type TextColor = keyof typeof textColorMap;

// @public
const textColorMap: {
  readonly 'color.text': SerializedStyles;
  readonly disabled: SerializedStyles;
  readonly inverse: SerializedStyles;
  readonly selected: SerializedStyles;
  readonly brand: SerializedStyles;
  readonly danger: SerializedStyles;
  readonly warning: SerializedStyles;
  readonly 'warning.inverse': SerializedStyles;
  readonly success: SerializedStyles;
  readonly discovery: SerializedStyles;
  readonly information: SerializedStyles;
  readonly subtlest: SerializedStyles;
  readonly subtle: SerializedStyles;
};

// @public (undocumented)
type TextTransform = keyof typeof textTransformMap;

// @public (undocumented)
const textTransformMap: {
  none: SerializedStyles;
  lowercase: SerializedStyles;
  uppercase: SerializedStyles;
};

// @public (undocumented)
export const UNSAFE_InteractionSurface: ({
  appearance,
  children,
  testId,
}: InteractionSurfaceProps) => jsx.JSX.Element;

// @internal
export const UNSAFE_Text: FC<UNSAFE_TextProps>;

// @public (undocumented)
export interface UNSAFE_TextProps extends BasePrimitiveProps {
  as?: AsElement;
  children: ReactNode;
  color?: TextColor;
  fontSize?: FontSize;
  fontWeight?: FontWeight;
  id?: string;
  lineHeight?: LineHeight;
  shouldTruncate?: boolean;
  textAlign?: TextAlign;
  textTransform?: TextTransform;
  verticalAlign?: VerticalAlign;
}

// @public (undocumented)
type VerticalAlign = keyof typeof verticalAlignMap;

// @public (undocumented)
const verticalAlignMap: {
  top: SerializedStyles;
  middle: SerializedStyles;
  bottom: SerializedStyles;
};

// (No @packageDocumentation comment for this package)
```

<!--SECTION END: Main Entry Types-->

### Peer Dependencies

<!--SECTION START: Peer Dependencies-->

```json
{
  "react": "^16.8.0"
}
```

<!--SECTION END: Peer Dependencies-->
